メインコンテンツへスキップ
GET
/
cms
/
v3
/
pages
/
site-pages
/
{objectId}
/
revisions
/
{revisionId}
ウェブサイトページの以前のバージョンを取得
curl --request GET \
  --url https://api.hubapi.com/cms/v3/pages/site-pages/{objectId}/revisions/{revisionId} \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "object": {
    "abStatus": "automated_loser_variant",
    "abTestId": "<string>",
    "archivedAt": "2023-11-07T05:31:56Z",
    "archivedInDashboard": true,
    "attachedStylesheets": [
      {}
    ],
    "authorName": "<string>",
    "campaign": "<string>",
    "categoryId": 123,
    "contentGroupId": "<string>",
    "contentTypeCategory": "0",
    "created": "2023-11-07T05:31:56Z",
    "createdById": "<string>",
    "currentState": "AGENT_GENERATED",
    "currentlyPublished": true,
    "domain": "<string>",
    "dynamicPageDataSourceId": "<string>",
    "dynamicPageDataSourceType": 123,
    "dynamicPageHubDbTableId": "<string>",
    "enableDomainStylesheets": true,
    "enableLayoutStylesheets": true,
    "featuredImage": "<string>",
    "featuredImageAltText": "<string>",
    "folderId": "<string>",
    "footerHtml": "<string>",
    "headHtml": "<string>",
    "htmlTitle": "<string>",
    "id": "<string>",
    "includeDefaultCustomCss": true,
    "language": "aa",
    "layoutSections": {},
    "linkRelCanonicalUrl": "<string>",
    "mabExperimentId": "<string>",
    "metaDescription": "<string>",
    "name": "<string>",
    "pageExpiryDate": 123,
    "pageExpiryEnabled": true,
    "pageExpiryRedirectId": 123,
    "pageExpiryRedirectUrl": "<string>",
    "pageRedirected": true,
    "password": "<string>",
    "publicAccessRules": [
      {}
    ],
    "publicAccessRulesEnabled": true,
    "publishDate": "2023-11-07T05:31:56Z",
    "publishImmediately": true,
    "slug": "<string>",
    "state": "<string>",
    "subcategory": "<string>",
    "templatePath": "<string>",
    "themeSettingsValues": {},
    "translatedFromId": "<string>",
    "translations": {},
    "updated": "2023-11-07T05:31:56Z",
    "updatedById": "<string>",
    "url": "<string>",
    "useFeaturedImage": true,
    "widgetContainers": {},
    "widgets": {}
  },
  "updatedAt": "2023-11-07T05:31:56Z",
  "user": {
    "email": "<string>",
    "fullName": "<string>",
    "id": "<string>"
  }
}

Supported products

承認

Authorization
string
header
必須

The access token received from the authorization server in the OAuth 2.0 flow.

パスパラメータ

objectId
string
必須
revisionId
string
必須

レスポンス

successful operation

id
string
必須
object
object
必須

Model definition for a landing page or site page.

updatedAt
string<date-time>
必須
user
object
必須

Model definition for a version user. Contains addition information about the user who created a version.

Last modified on April 13, 2026